Package org.jboss.resteasy.plugins.server.servlet

## Class Servlet3AsyncHttpRequest

- java.lang.Object
- - org.jboss.resteasy.plugins.server.BaseHttpRequest
  - - org.jboss.resteasy.plugins.server.servlet.HttpServletInputMessage
    - - org.jboss.resteasy.plugins.server.servlet.Servlet3AsyncHttpRequest

- All Implemented Interfaces:
    `HttpRequest`

      public class Servlet3AsyncHttpRequest
      extends HttpServletInputMessage

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected ResteasyAsynchronousContext` | `asynchronousContext` |
    `protected javax.servlet.http.HttpServletResponse` | `response` |

    - ### Fields inherited from class org.jboss.resteasy.plugins.server.servlet.HttpServletInputMessage

      `dispatcher, executionContext, httpHeaders, httpMethod, httpResponse, overridenStream, request, servletContext, servletResponse, wasForwarded`

    - ### Fields inherited from class org.jboss.resteasy.plugins.server.BaseHttpRequest

      `decodedFormParameters, formParameters, uri`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Servlet3AsyncHttpRequest​(javax.servlet.http.HttpServletRequest httpServletRequest, javax.servlet.http.HttpServletResponse response, javax.servlet.ServletContext servletContext, HttpResponse httpResponse, ResteasyHttpHeaders httpHeaders, ResteasyUriInfo uriInfo, String s, SynchronousDispatcher synchronousDispatcher)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ResteasyAsynchronousContext` | `getAsyncContext()` |

    - ### Methods inherited from class org.jboss.resteasy.plugins.server.servlet.HttpServletInputMessage

      `formParametersRead, forward, getAttribute, getAttributeNames, getDecodedFormParameters, getFormParameters, getHttpHeaders, getHttpMethod, getInputStream, getMutableHeaders, getPutDecodedFormParameters, getPutFormParameters, getRemoteAddress, getRemoteHost, mapEquals, removeAttribute, setAttribute, setHttpMethod, setInputStream, wasForwarded`

    - ### Methods inherited from class org.jboss.resteasy.plugins.server.BaseHttpRequest

      `getUri, isInitial, setRequestUri, setRequestUri`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### response

          protected javax.servlet.http.HttpServletResponse response

    - #### asynchronousContext

          protected ResteasyAsynchronousContext asynchronousContext

  - ### Constructor Detail

    - #### Servlet3AsyncHttpRequest

          public Servlet3AsyncHttpRequest​(javax.servlet.http.HttpServletRequest httpServletRequest,
                                          javax.servlet.http.HttpServletResponse response,
                                          javax.servlet.ServletContext servletContext,
                                          HttpResponse httpResponse,
                                          ResteasyHttpHeaders httpHeaders,
                                          ResteasyUriInfo uriInfo,
                                          String s,
                                          SynchronousDispatcher synchronousDispatcher)

  - ### Method Detail

    - #### getAsyncContext

          public ResteasyAsynchronousContext getAsyncContext()

      Specified by:
        `getAsyncContext` in interface `HttpRequest`
      Overrides:
        `getAsyncContext` in class `HttpServletInputMessage`